with import <nixpkgs> {};

stdenv.mkDerivation {
  name = "rstnode";
  buildInputs = with pkgs; [
    rustc cargo clangStdenv rust-analyzer rustfmt
    alsaLib pkg-config libudev 
  ] ++ (with pkgs.xlibs; [
    libGL
    libGLU
    libGL_driver
    
    libX11
    libXcursor
    libXi
    libXrandr
    libXxf86vm
    libxcb
    libxkbcommon
  ]);
}
